/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Data transfer object (DTO) representing the creation of a publication request.
 * @export
 * @interface PublicationRequestForCreationDto
 */
export interface PublicationRequestForCreationDto {
    /**
     * The data publication service\'s ror id.
     * @type {string}
     * @memberof PublicationRequestForCreationDto
     */
    'publicationServiceRorId': string;
    /**
     * The resource guids.
     * @type {Array<string>}
     * @memberof PublicationRequestForCreationDto
     */
    'resourceIds': Array<string>;
    /**
     * A message of the requester.
     * @type {string}
     * @memberof PublicationRequestForCreationDto
     */
    'message'?: string | null;
}

